<?php
/**
 * @package SiteTree
 * @author Luigi Cavalieri
 * @license http://opensource.org/licenses/GPL-2.0 GPLv2.0 Public license
 * -------------------------------------------------------------------------- */
 

$frequencies = SiteTreeUtilities::frequencies();
$prio_80	 = SiteTreeUtilities::priorities( 0.8 );
$prio_90	 = SiteTreeUtilities::priorities( 0.9 );

$this->pages[$page_number]->sections['general'] = array(
	new SiteTreeSection( '', '', '', array(
		new SiteTreeField( 'home_changefreq', 'Dropdown', 'options', __('Home page update frequency', 'sitetree'), '', 'daily', $frequencies ),
	)),
	new SiteTreeSection( 'page', 'posts', __('Pages', 'sitetree'), array(
		new SiteTreeField( 'include', 'Checkbox', 'bool', __('Include', 'sitetree'), __('Check to include', 'sitetree'), true ),
		new SiteTreeField( 'images', 'Checkbox', 'bool', __('Images', 'sitetree'), __('Include all images attached to each page.', 'sitetree'), true ),
		new SiteTreeField( 'priority', 'Dropdown', 'options', __('Priority', 'sitetree'), '', '0.8', $prio_90 ),
		new SiteTreeField( 'changefreq', 'Dropdown', 'options', __('Update frequency', 'sitetree'), '', 'weekly', $frequencies ),
	)),
	new SiteTreeSection( 'post', 'posts', __('Posts', 'sitetree'), array(
		new SiteTreeField( 'include', 'Checkbox', 'bool', __('Include', 'sitetree'), __('Check to include', 'sitetree'), true ),
		new SiteTreeField( 'images', 'Checkbox', 'bool', __('Images', 'sitetree'), __('Include all images attached to each post.', 'sitetree'), true ),
		new SiteTreeField( 'priority', 'Dropdown', 'options', __('Priority', 'sitetree'), '', '0.6', $prio_90 ),
		new SiteTreeField( 'changefreq', 'Dropdown', 'options', __('Update frequency', 'sitetree'), '', 'monthly', $frequencies ),
	)),
	new SiteTreeSection( 'category', 'taxonomies', __('Categories', 'sitetree'), array(
		new SiteTreeField( 'include', 'Checkbox', 'bool', __('Include', 'sitetree'), __('Check to include', 'sitetree') ),
		new SiteTreeField( 'priority', 'Dropdown', 'options', __('Priority', 'sitetree'), '', 'none', $prio_80 ),
		new SiteTreeField( 'changefreq', 'Dropdown', 'options', __('Update frequency', 'sitetree'), '', 'none', $frequencies ),
	)),
	new SiteTreeSection( 'authors', '', __('Authors', 'sitetree'), array(
		new SiteTreeField( 'include', 'Checkbox', 'bool', __('Include', 'sitetree'), __('Check to include', 'sitetree') ),
		new SiteTreeField( 'priority', 'Dropdown', 'options', __('Priority', 'sitetree'), '', 'none', $prio_80 ),
		new SiteTreeField( 'changefreq', 'Dropdown', 'options', __('Update frequency', 'sitetree'), '', 'none', $frequencies ),
	)),
	new SiteTreeSection( 'archives', '', __('Archives', 'sitetree'), array(
		new SiteTreeField( 'include', 'Checkbox', 'bool', __('Include', 'sitetree'), __('Check to include', 'sitetree') ),
		new SiteTreeField( 'priority', 'Dropdown', 'options', __('Priority', 'sitetree'), '', 'none', $prio_80 ),
		new SiteTreeField( 'changefreq', 'Dropdown', 'options', __('Update frequency', 'sitetree'), '', 'none', $frequencies ),
	)),
	new SiteTreeSection( 'post_tag', 'taxonomies', __('Tags', 'sitetree'), array(
		new SiteTreeField( 'include', 'Checkbox', 'bool', __('Include', 'sitetree'), __('Check to include', 'sitetree') ),
		new SiteTreeField( 'priority', 'Dropdown', 'options', __('Priority', 'sitetree'), '', 'none', $prio_80 ),
		new SiteTreeField( 'changefreq', 'Dropdown', 'options', __('Update frequency', 'sitetree'), '', 'none', $frequencies ),
	)),
);

$this->pages[$page_number]->sections['advanced'] = array(
	new SiteTreeSection( '', '', '', array(
		new SiteTreeField( 'ping', 'Checkbox', 'bool', __('Ping Search Engines', 'sitetree'),
			__('Notify Google, Bing and Yahoo when a new post/page is added to the Sitemap.', 'sitetree'), true
		),
		new SiteTreeField( 'do_robots', 'Checkbox', 'bool', __('Add excluded content to Robots.txt', 'sitetree'),
			__('List all the posts/pages excluded from the Sitemap in the Robots.txt file created by WordPress.', 'sitetree')
		),
	)),
);
?>