<?php
/**
 * @package SiteTree
 * @subpackage SiteTree Debugger
 * @author Luigi Cavalieri
 * @license http://opensource.org/licenses/GPL-2.0 GPLv2.0 Public license
 * -------------------------------------------------------------------------- */


class SiteTreeDebugBar extends Debug_Bar_Panel {
	/**
	 * @var array
	 */
	private $log = array();
	
	/**
	 * @var bool
	 */
	private $rendered = false;

	/**
	 *
	 */
	public function init() {
		wp_enqueue_style( 'sitetree-debug-bar', plugins_url( 'debug-bar.css', __FILE__ ), null, '1.0' );
	}
	
	/**
	 *
	 */
	public function render() {
		$this->rendered = (bool) $this->log;
		
		$output = '<ol id="sitetree-debug-bar">';
		
		foreach( $this->log as $entry ) {
			$output .= '<li><a>' . $entry['msg'] . ' <span>' . $entry['info'] . '</span></a> ';
			$output .= $entry['inline'] ? $entry['data'] : ('<pre>' . esc_attr( $entry['data'] ) . '</pre>');
			$output .= '</li>';
		}
		
		echo $output . '</ol>';
	}
	
	/**
	 *
	 */
	public function rendered() {
		return $this->rendered;
	}
	
	/**
	 *
	 *
	 *
	 * @param $msg string
	 * @param $data string
	 */
	public function enqueue_log( $msg, $data, $info, $inline ) {
		$this->log[] = array( 'msg'  => $msg, 'data' => $data, 'info' => $info, 'inline' => $inline );
	}
}
?>